{
  "name": "bodyshop-server",
  "version": "0.2.0",
  "license": "UNLICENSED",
  "engines": {
    "node": ">=22.13.0",
    "npm": ">=8.0.0"
  },
  "scripts": {
    "setup": "rm -rf node_modules && npm i && cd client && rm -rf node_modules && npm i",
    "setup:win": "rimraf node_modules && npm i && cd client && rimraf node_modules && npm i",
    "start": "node server.js",
    "makeitpretty": "prettier --write \"**/*.{css,js,json,jsx,scss}\"",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "test:unit": "vitest run",
    "test:watch": "vitest",
    "job-totals-fixtures:local": "docker exec node-app /usr/bin/node /app/download-job-totals-fixtures.js"
  },
  "dependencies": {
    "@aws-sdk/client-cloudwatch-logs": "^3.882.0",
    "@aws-sdk/client-elasticache": "^3.882.0",
    "@aws-sdk/client-s3": "^3.882.0",
    "@aws-sdk/client-secrets-manager": "^3.882.0",
    "@aws-sdk/client-ses": "^3.882.0",
    "@aws-sdk/credential-provider-node": "^3.882.0",
    "@aws-sdk/lib-storage": "^3.882.0",
    "@aws-sdk/s3-request-presigner": "^3.882.0",
    "@opensearch-project/opensearch": "^2.13.0",
    "@socket.io/admin-ui": "^0.5.1",
    "@socket.io/redis-adapter": "^8.3.0",
    "archiver": "^7.0.1",
    "aws4": "^1.13.2",
    "axios": "^1.11.0",
    "better-queue": "^3.8.12",
    "bullmq": "^5.58.5",
    "chart.js": "^4.5.0",
    "cloudinary": "^2.7.0",
    "compression": "^1.8.1",
    "cookie-parser": "^1.4.7",
    "cors": "^2.8.5",
    "crisp-status-reporter": "^1.2.2",
    "dd-trace": "^5.65.0",
    "dinero.js": "^1.9.1",
    "dotenv": "^17.2.2",
    "express": "^4.21.1",
    "firebase-admin": "^13.5.0",
    "graphql": "^16.11.0",
    "graphql-request": "^6.1.0",
    "intuit-oauth": "^4.2.0",
    "ioredis": "^5.7.0",
    "json-2-csv": "^5.5.9",
    "jsonwebtoken": "^9.0.2",
    "juice": "^11.0.1",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "moment-timezone": "^0.6.0",
    "multer": "^1.4.5-lts.1",
    "node-persist": "^4.0.4",
    "nodemailer": "^6.10.0",
    "phone": "^3.1.67",
    "query-string": "7.1.3",
    "recursive-diff": "^1.0.9",
    "rimraf": "^6.0.1",
    "skia-canvas": "^3.0.6",
    "soap": "^1.3.0",
    "socket.io": "^4.8.1",
    "socket.io-adapter": "^2.5.5",
    "ssh2-sftp-client": "^11.0.0",
    "twilio": "^5.9.0",
    "uuid": "^11.1.0",
    "winston": "^3.17.0",
    "winston-cloudwatch": "^6.3.0",
    "xml2js": "^0.6.2",
    "xmlbuilder2": "^3.1.1",
    "yazl": "^3.3.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.35.0",
    "eslint": "^9.35.0",
    "eslint-plugin-react": "^7.37.5",
    "globals": "^15.15.0",
    "mock-require": "^3.0.3",
    "p-limit": "^3.1.0",
    "prettier": "^3.6.2",
    "supertest": "^7.1.4",
    "vitest": "^3.2.4"
  }
}
